<!DOCTYPE html>
<html>
	<head>
		<title>Fast Tracker</title>

        <script src="https://code.jquery.com/jquery-3.2.1.slim.min.js" integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.3/umd/popper.min.js" integrity="sha384-vFJXuSJphROIrBnz7yo7oB41mKfc8JzQZiCq4NCceLEaO4IHwicKwpJf9c9IpFgh" crossorigin="anonymous"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0-beta.2/js/bootstrap.min.js" integrity="sha384-alpBpkh1PFOepccYVYDB4do5UnbKysX5WZXm3XxPqe5iKTfUKjNkCk9SaVuEZflJ" crossorigin="anonymous"></script>
		<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-BmbxuPwQa2lc/FVzBcNJ7UAyJxM6wuqIj61tLrc4wSX0szH/Ev+nYRRuWlolflfl" crossorigin="anonymous">
		
		<style>
			html,
			body,
			header,
			#intro {
				height: 100%;
			}

			#intro {
				background: url("https://wallpapercave.com/wp/wp2639533.jpg")no-repeat center center fixed;
				-webkit-background-size: cover;
				-moz-background-size: cover;
				-o-background-size: cover;
				background-size: cover;

			}
			.nav-item:hover {
				background-color: black;
			}
            #home-content-li{
                width:100%;
                float:left;
                text-align:center;
            }
            #calendar-frame {      
                position:absolute;          
                margin:2% -35% ;
                background: white;
                width:75%;
                height: 100%;
            }
            img, video, object, embed {
    max-width: 100%;    
    height: auto;
    overflow:hidden !important;
    }
            
		</style>
	</head>
	
	<body>
		<!--Main Navigation-->
		<header>

			<!--Navbar-->
			<nav class="navbar navbar-expand-lg navbar-dark bg-primary">

				<div class="container">

					<!-- Navbar brand -->
					<a class="navbar-brand" href="#">
                        <img src="logo.png" width="30" height="30" class="d-inline-block align-top" alt="">
                        Fast Track
                    </a>

					<!-- Collapse button -->
					<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#basicExampleNav"
						aria-controls="basicExampleNav" aria-expanded="false" aria-label="Toggle navigation">
						<span class="navbar-toggler-icon"></span>
					</button>

					<!-- Collapsible content -->
					<div class="collapse navbar-collapse" id="basicExampleNav">

						<!-- Links -->
						<ul class="navbar-nav mr-auto">
							<li class="nav-item">
								<a class="nav-link" href="#intro">Home</a>
							</li>						
						</ul>	
                        <ul class="navbar-nav ms-auto text-white">
                            <li class="nav-item" id="login-nav-item">
                                <button type="button" class="nav-link btn" data-toggle="modal" data-target="#login-container">Log In</button>
							</li>							
							<li class="nav-item mr-sm-2" id="log-out-nav-item" hidden>
								<a class="nav-link">Log Out</a>
							</li>
						</ul>
						<!-- Links -->

				</div>

			</nav>
			<!--/ Navbar-->

			<!--Mask-->

			<div id="intro" class="view">

				<div class="mask rgba-black-strong">

					<div class="container-fluid d-flex align-items-center justify-content-center h-100">

						<div class="row d-flex justify-content-center text-center">

							<div id="home-content-lo" class="col-md-10">

								<!-- Heading -->
								<h2 class="display-4 font-weight-bold text-white pt-5 mb-2">Revature Workout Tracker</h2>

								<!-- Divider -->
								<hr class="hr-light">

								<!-- Description -->
								<h3 class="text-white my-4">Make a plan, Track your progress, see results!</h4>
								<button type="button" class="btn btn-primary" data-toggle="modal" data-target="#register-container">Register!<i class="fa fa-book ml-2"></i></button>

							</div>
                            <div id="home-content-li"  hidden>
                                <embed type="text/html" id = "calendar-frame" src="calendar.html" ></embed>


                            </div>

						</div>

					</div>

				</div>

			</div>
			<!--/.Mask-->

		</header>
		<!--Main Navigation-->

		<!--Main layout-->
	<main>
<!-- Modal -->

<div class="modal fade" id="login-container" tabindex="-1">
    <div class= "modal-dialog modal-dialog-centered">

    
        <div class="modal-content">
            
            <img class="mx-auto d-block" src="https://revature.com/wp-content/uploads/2017/06/logo-2.png" alt="" height="auto">
           
            <div class = "modal-body">
                
                <form class="form-signin" id="login-form">
                <h1 class="modal-title h3 mb-3 font-weight-normal">Please Sign in</h1>
                <label for="inputUsername" class="sr-only">Username</label>
                <input type="text" id="inputUsername" name="username" class="form-control" placeholder="Username" required="" autofocus="">
                <label for="inputPassword" class="sr-only">Password</label>
                <input type="password" id="inputPassword" name="password" class="form-control" placeholder="Password" required="">
                <div class="checkbox mb-3">
                    <label>
                    <input type="checkbox" value="remember-me"> Remember me
                    </label>
                </div>
                <button class="btn btn-lg btn-primary btn-block" type="submit">Sign in</button>
                <div hidden id="error-msg">Something went wrong</div>
                </form>   
            </div>
            
            
        </div>
    </div> 
</div>

<div class="modal fade" id="register-container" tabindex="-1">
    <div class= "modal-dialog modal-dialog-centered">

    
        <div class="modal-content">
            
            <img class="mx-auto d-block" src="https://revature.com/wp-content/uploads/2017/06/logo-2.png" alt="" height="auto">
           
            <div class = "modal-body">
                
                <form class="form-signin" id="register-form">
                <h1 class="modal-title h3 mb-3 font-weight-normal">Please Register</h1>
                <label for="inputUsername" class="sr-only">Username</label>
                <input type="text" id="rinputUsername" name="username" class="form-control" placeholder="Username" required="" autofocus="">
                <label for="inputPassword" class="sr-only">Password</label>
                <input type="password" id="rinputPassword" name="password" class="form-control" placeholder="Password" required="">
                <label for="inputemail" class="sr-only">email</label>
                <input type="text" id="rinputemail" name="email" class="form-control" placeholder="Email" required="" autofocus="">

                <label for="inputFirstName" class="sr-only">first name</label>
                <input type="text" id="rinputFirstName" name="firstname" class="form-control" placeholder="First name" required="" autofocus="">
                <label for="inputLastName" class="sr-only">Last name</label>
                <input type="text" id="rinputLastName" name="lastname" class="form-control" placeholder="Last name" required="" autofocus="">
                    <input type="text" id="rauth" value="2" hidden>
                <div class="checkbox mb-3">
                    <label>
                    <input type="checkbox" value="remember-me"> Remember me
                    </label>
                </div>
                <button class="btn btn-lg btn-primary btn-block" type="submit">Register</button>
                <div hidden id="error-msg2">Something went wrong</div>
                </form>   
            </div>
            
            
        </div>
    </div> 
</div>




<script>
    
</script>


    </main>
		<!--Main layout-->
		
		<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/js/bootstrap.bundle.min.js" integrity="sha384-b5kHyXgcpbZJO/tY9Ul7kGkf1S0CWuKcCD38l8YkeH8z8QjE0GmW1gYU5S9FOnJ0" crossorigin="anonymous"></script>
		<script src="nav-items.js"></script>
        <script src="server-requests.js"></script>
        <script src="login.js"></script>
        <script src="calanderview.js"></script>
       
      
	</body>
</html>
